Page MenuHomePhabricator

Special:Translated - "used n times" has an extra 〉
Closed, ResolvedPublic

Description

The text is currently

mw.msg(
	'tux-editor-n-uses',
	mw.language.convertNumber( suggestion.count )
) + '  〉'

I propose that the trailing be removed. Any objections?

Event Timeline

Restricted Application added a project: User-DannyS712. · View Herald TranscriptOct 28 2019, 8:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
DannyS712 changed the task status from Open to Stalled.Oct 28 2019, 8:30 PM
DannyS712 triaged this task as Low priority.
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.
DannyS712 added a subscriber: Nikerabbit.

@Nikerabbit would this be okay to do?

But why would you remove it?

But why would you remove it?

Because it renders as "used 2 times 〉", and without a matching opening brace this looks odd

Various kind of arrows are common way to highlight interactive elements.

Change 550586 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Translate@master] Remove extraneous 〉 from tux-editor-n-uses message

https://gerrit.wikimedia.org/r/550586

abi_ added a subscriber: abi_.

I've tweaked the styles a bit to align used n times.

The patch looks good. If no one has any other concerns, I'll be merging it tomorrow.

abi_ changed the task status from Stalled to Open.Nov 21 2019, 4:24 PM

Change 550586 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Remove extraneous 〉 from tux-editor-n-uses message

https://gerrit.wikimedia.org/r/550586

DannyS712 closed this task as Resolved.Dec 8 2019, 3:18 AM